Skip to content

Create an org integration

Request

Beta
OAuth 2.0 scope:
  • okta.governance.settings.manage
Admin roles:
  • SUPER_ADMIN
Permissions:
  • okta.governance.settings.manage

Creates a governance org integration

Note: You must have the SUPER_ADMIN role or the okta.governance.settings.manage permission to create a governance org integration.

Bodyapplication/jsonrequired
typestring(integration-type)

Integration type

ValueDescription
SLACK

Slack integration

POST
/governance/api/v1/settings/integrations
curl -i -X POST \
  https://subdomain.okta.com/governance/api/v1/settings/integrations \
  -H 'Content-Type: application/json' \
  -d '{
    "type": "SLACK"
  }'

Responses

A successful org integrations response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
idstring, (integration-id), = 20 characters(integration-id)goi[0-9a-zA-Z]+

The integration ID

typestring(integration-type)

Integration type

ValueDescription
SLACK

Slack integration

statusstring(integration-status)

Integration status

Enum ValueDescription
CONNECTED

The integration is connected.

IN_PROGRESS

Enabling the integration connection is in progress.

FAILED

The integration failed to connect.

Response
{ "id": "goi5a4b3c2d1e9f8g7h5", "type": "SLACK", "status": "IN_PROGRESS", "_links": { "authUrl": {} } }